Open MPI logo

Open MPI Development Mailing List Archives

  |   Home   |   Support   |   FAQ   |   all Development mailing list

From: Gleb Natapov (glebn_at_[hidden])
Date: 2007-08-06 10:06:03


On Mon, Aug 06, 2007 at 09:53:20AM -0400, Bill Wichser wrote:
> We have run across an issue, probably more related to openib than to
> openmpi but don't know how to resolve.
>
> Linux kernel - 2.6.9-55.0.2.ELsmp x86_64
fork (and thus system()) is not supported by openib in this kernel.
To get system() working you need kernel 2.6.12 at least. To get fork()
somewhat working you need kernel 2.6.16 (or 17 don't remember exactly)
and libibverbs-1.1.

--
			Gleb.